zenilib: TOutputESSL Class Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Public Member Functions | Protected Member Functions | List of all members
TOutputESSL Class Reference

`#include <OutputESSL.h>`

Inherits TOutputGLSLBase.

## Public Member Functions

| TOutputESSL (TInfoSinkBase &objSink, ShArrayIndexClampingStrategy clampingStrategy, ShHashFunction64 hashFunction, NameMap &nameMap, TSymbolTable &symbolTable)
Public Member Functions inherited from TOutputGLSLBase
| TOutputGLSLBase (TInfoSinkBase &objSink, ShArrayIndexClampingStrategy clampingStrategy, ShHashFunction64 hashFunction, NameMap &nameMap, TSymbolTable &symbolTable)
Public Member Functions inherited from TIntermTraverser
| TIntermTraverser (bool preVisit=true, bool inVisit=false, bool postVisit=false, bool rightToLeft=false)
virtual | ~TIntermTraverser ()
void | decrementDepth ()
int | getMaxDepth () const
void | incrementDepth ()
| POOL_ALLOCATOR_NEW_DELETE ()

## Protected Member Functions

virtual bool | writeVariablePrecision (TPrecision precision)
Protected Member Functions inherited from TOutputGLSLBase
TString | getTypeName (const TType &type)
TString | hashFunctionName (const TString &mangled_name)
TString | hashName (const TString &name)
TString | hashVariableName (const TString &name)
TInfoSinkBase & | objSink ()
virtual bool | visitAggregate (Visit visit, TIntermAggregate *node)
virtual bool | visitBinary (Visit visit, TIntermBinary *node)
virtual bool | visitBranch (Visit visit, TIntermBranch *node)
void | visitCodeBlock (TIntermNode *node)
virtual void | visitConstantUnion (TIntermConstantUnion *node)
virtual bool | visitLoop (Visit visit, TIntermLoop *node)
virtual bool | visitSelection (Visit visit, TIntermSelection *node)
virtual void | visitSymbol (TIntermSymbol *node)
virtual bool | visitUnary (Visit visit, TIntermUnary *node)
const ConstantUnion * | writeConstantUnion (const TType &type, const ConstantUnion *pConstUnion)
void | writeFunctionParameters (const TIntermSequence &args)
void | writeTriplet (Visit visit, const char *preStr, const char *inStr, const char *postStr)
void | writeVariableType (const TType &type)

## Additional Inherited Members

Static Public Member Functions inherited from TIntermTraverser
static TString | hash (const TString &name, ShHashFunction64 hashFunction)
Public Attributes inherited from TIntermTraverser
const bool | inVisit
const bool | postVisit
const bool | preVisit
const bool | rightToLeft
Protected Attributes inherited from TIntermTraverser
int | depth
int | maxDepth

## Detailed Description

Definition at line 12 of file OutputESSL.h.

## Constructor & Destructor Documentation

TOutputESSL::TOutputESSL | ( | TInfoSinkBase & | objSink,
|  | ShArrayIndexClampingStrategy | clampingStrategy,
|  | ShHashFunction64 | hashFunction,
|  | NameMap & | nameMap,
|  | TSymbolTable & | symbolTable
| ) |  |

Definition at line 9 of file OutputESSL.cpp.

## Member Function Documentation

bool TOutputESSL::writeVariablePrecision | ( | TPrecision | precision | ) |

protectedvirtual

Implements TOutputGLSLBase.

Definition at line 18 of file OutputESSL.cpp.

References EbpUndefined, getPrecisionString(), and TOutputGLSLBase::objSink().

The documentation for this class was generated from the following files:

- zenilib/jni/external/angle/src/compiler/OutputESSL.h
- zenilib/jni/external/angle/src/compiler/OutputESSL.cpp